package com.eactive.eai.adapter;

public class EAIException extends Exception {
	private String code;

	public EAIException(String code, String msg) {
		super(msg);
		this.code = code;
	}
	
	public EAIException(String msg) {
		this("", msg);
	}
	
	public EAIException(Throwable cause) {
		super(cause);
	}

	public EAIException(String msg, Throwable cause) {
		super(msg, cause);
	}
	
	public String getExceptionCode() {
		return this.code;
	}
}